fs = 44100;
numSamples = 5 * fs;

% FM (strenggenommen Phasenmodulation, nicht Frequenzmodulation)
time = (1:numSamples)/fs; % Sekunden
modulator = sin(2*pi*543*time);
modulatorEnvelope = 1-(1:numSamples)/numSamples; % linearer Abfall von 1 auf 0
carrier = sin(2*pi*440*time + 0.6*modulator.*modulatorEnvelope);
modulatorEnvelope = 10.^(-0.5*time); % exponentieller Abfall -10 dB pro Sekunde
soundsc(carrier, fs);

% Karplus-Strong
n = int32(fs / 110.0);
b = randn(n, 1);
c = zeros(numSamples, 1);
j = 1;
for i = 1 : numSamples
    c(i) = b(j);
    j = j + 1;
    % Ringpuffer
    if j > n
        j = 1;
    end
    % Tiefpassfilter
    b(j) = 0.4*b(j) + 0.6*c(i);
end
soundsc(c, fs, 16);